{% extends 'admin/admin.html.twig' %}
{% block body %}
    {% macro selectaccess(role, index, selected) %}
        <select style='background-color: {% if selected == 0 %}lightcoral{% elseif selected == 1 %}lightsalmon{% elseif selected == 2 %}lightgreen{% endif %}' class="form-control select_acces" name="{{role}}_{{ index }}">
            <option style="background-color: lightcoral" value="0" {% if selected == 0 %}selected{% endif %}>Restreint</option>
            <option style="background-color: lightsalmon" value="1" {% if selected == 1 %}selected{% endif %}>Lecture seule</option>
            <option style="background-color: lightgreen" value="2" {% if selected == 2 %}selected{% endif %}>Ecriture</option>
        </select>
    {% endmacro %}
    {% import _self as self %}
    <div class="container-fluid">
        <div class="col-md-12">
            <header class="page-header">
                <h3>Gestion des access</h3>
            </header>
        </div>
        <div class="col-md-12">
            <form method="post">
                <table class="table" id="table_liste_acces">                
                    <tr><th>Fonctionnalite</th><th>Classe</th><th>Methode</th><th>Generaliste</th><th>ACA</th><th>RCA</th><th>DA</th><th>RCR</th><th>DR</th><th>DCN</th><th>DJ</th><th>ASQUA</th></tr>
                            {% for row in acces %}
                        <tr class="table_row" num="{{ loop.index }}">
                            <td>
                                <input style="min-width: 250px" required name="libelle_{{ loop.index }}" value="{{ row.libelle }}" class="form-control"></td><td>
                                <input required name="classe_{{ loop.index }}" class="form-control" value="{{row.classe}}"></td><td>
                                <input name="methode_{{ loop.index }}" class="form-control" value="{{row.methode }}"></td><td>
                                {{ self.selectaccess('generaliste', loop.index, row.generaliste) }}</td><td>
                                {{ self.selectaccess('aca', loop.index, row.aca) }}</td><td>
                                {{ self.selectaccess('rca', loop.index, row.rca) }}</td><td>
                                {{ self.selectaccess('da', loop.index, row.da) }}</td><td>
                                {{ self.selectaccess('rcr', loop.index, row.rcr) }}</td><td>
                                {{ self.selectaccess('dr', loop.index, row.dr) }}</td><td>
                                {{ self.selectaccess('dcn', loop.index, row.dcn) }}</td><td>
                                {{ self.selectaccess('dj', loop.index, row.dj) }}</td><td>
                                {{ self.selectaccess('asqua', loop.index, row.asqua) }}</td></tr>
                            {% endfor %}
                </table>
                <button id="btn_ajouter" type="button" class="btn btn-primary">Ajouter</button> <button class="btn btn-primary">Valider</button>
            </form>
        </div>
    </div>
    <div id="patron_row" style="display: none">
        <table id="t_wrapper">
            <tr class="table_row" num="(:id)">
                <td>
                    <input required name="libelle_(:id)"class="form-control"></td><td>
                    <input required name="classe_(:id)" class="form-control"></td><td>
                    <input name="methode_(:id)" class="form-control"></td><td>
                    {{ self.selectaccess('generaliste', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('aca', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('rca', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('da', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('rcr', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('dr', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('dcn', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('dj', '(:id)',0) }}</td><td>
                    {{ self.selectaccess('asqua', '(:id)',0) }}</td>
            </tr>
        </table>
    </div>
    <script>
        $(document).ready(function () {

            function getPatron() {
                var patron = $('#patron_row').clone(true);
                $(patron).attr('id', null);
                return patron;
            }

            function replaceIndex(patron, num) {
                var patron_html = $(patron).html();
                var regexp = /\(:id\)/g;
                var patron_html_r = patron_html.replace(regexp, num);

                return patron_html_r;
            }

            $('#btn_ajouter').click(function () {
                var patron = getPatron();

                var num = $('#table_liste_acces .table_row:last-of-type').attr('num');
                if (num == undefined)
                    num = 0;
                num++;

                $(patron).attr('num', num);
                var data = replaceIndex(patron, num);
                var final = $(data).children('tbody').html();
                $('#table_liste_acces').append(final);
            });

            $('.select_acces').change(function () {
                if ($(this).val() == 0)
                    $(this).css('background-color', 'lightcoral');
                if ($(this).val() == 1)
                    $(this).css('background-color', 'lightsalmon');
                if ($(this).val() == 2)
                    $(this).css('background-color', 'lightgreen');
            });
        });
    </script>
{% endblock %}